﻿using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;
using System.IO.Ports;
using System;
public class GameManager : MonoBehaviour
{

    [SerializeField] Text txtSerialData;

    private bool gameOver = false;
    public float restartDelay = 1f;
    public GameObject completeLevelUI;
    public GameObject failedLevelUI;



    // Update is called once per frame
    void Update()
    {
        //GameController gc = FindObjectOfType<GameController>();
        //if (gc.reset) Restart();

    }

    public void CompleteLevel()
    {
        if (!gameOver)
        {
            gameOver = true;
            completeLevelUI.SetActive(true);
        }
    }

    public void EndGame()
    {
        if (!gameOver)
        {
            gameOver = true;
            failedLevelUI.SetActive(true);
            Debug.Log("GAAAMEEE OVEEERRRR");
            //nvoke("Restart", restartDelay);
        }
    }
    void Restart()
    {
        SceneManager.LoadScene(SceneManager.GetActiveScene().name);
    }
}
