﻿using UnityEngine;

public class PlayerMovement : MonoBehaviour
{
    public Rigidbody rb;


    public float forwardForce = 2000f;
    public float sidewaysForce = 500f;

    void FixedUpdate()
    {
        GameController gc = FindObjectOfType<GameController>();
        // dodaj brzinu kretanja
        if (!gc.breakOn)
        {
            rb.AddForce(0, 0, gc.speed * forwardForce * Time.deltaTime);
        }
        else
        {

            float force = -1 * forwardForce * Time.deltaTime;

            rb.AddForce(0, 0, rb.velocity.z < 0 ? 0 : force);
        }

        if (Input.GetKey("d"))
        {
            rb.AddForce(sidewaysForce * Time.deltaTime, 0, 0, ForceMode.VelocityChange);
        }


        if (Input.GetKey("a"))
        {
            rb.AddForce(-sidewaysForce * Time.deltaTime, 0, 0, ForceMode.VelocityChange);
        }

        if (gc.calibratedDirection.HasValue && rb.velocity.z > 3)
        {
            rb.AddForce((gc.calibratedDirection.Value - gc.direction) * sidewaysForce * Time.deltaTime / 350, 0, 0, ForceMode.VelocityChange);
        }
    }
}
